/*
 *  grex.h
 *
 *	Copyright (C) MicroWay, Inc., 1987, 1988, 1989
 *
 */

int         _where();
int         address();
int         aspect_ratio();
int         beep();
int         blk_bm();
int         blk_mb();
int         clear();
int         clear_text();
int         cr();
int         crlf();
int         define_color();
int         display_text_page();
int         dn_cursor();
int         draw();
int         filled_ellipse();
int         filled_rectangle();
int         flood_fill();
int         get_active_attribute();
int         get_active_page();
int         get_clip_limits();
int         get_cursor();
unsigned    get_dash();
int         get_device_limits();
int         get_pixel();
int         get_video_mode();
int         graphic_page_count();
int         graphic_text();
int         graphics_mode();
int         home();
int         inkey$();
int         inp();
int         inpw();
int         int386();
int         lf();
int         locate();
int         lt_cursor();
int         move();
int         move_cursor();
int         open_ellipse();
int         outp();
int         outpw();
int         pause();
int         place_string_at();
int         read_attr();
int         read_char();
int         restore_text_window();
int         restore_window();
int         rt_cursor();
int         save_text_window();
int         save_window();
int         scroll_active_page_down();
int         scroll_active_page_up();
int         set_active_attribute();
int         set_active_text_page();
int         set_clip_limits();
int         set_color();
int         set_cursor_type();
unsigned    set_dash();
int         set_palette();
int         set_pixel();
int         set_video_mode();
int         set_xor();
int         size_window();
int         super_vga();
int         text_mode();
int         up_cursor();
int         vertical_text();
int         vga_palette();
int         video_configuration();
int         write_char();
int         write_char_attr();
int         write_one_char();
int         write_string();

/* Microsoft-compatible functions */

struct videoconfig { int numxpixels; int numypixels; int numtextcols;
    int numtextrows; int numcolors; int bitsperpixel; int numvideopages;
    int mode; int adapter; int monitor; int memory;};

struct xycoord { int xcoord; int ycoord;};

struct rccoord { int row; int col;};

int             _arc ();            /* see note 1 */
void            _clearscreen ();
int             _displaycursor ();  /* see note 1 */
int             _ellipse ();
int             _floodfill ();
int             _getbkcolor ();
int             _getcolor ();
struct xycoord  _getcurrentposition ();
unsigned char * _getfillmask ();    /* see note 1 */
void            _getimage ();
unsigned int    _getlinestyle ();
struct xycoord  _getlogcoord ();
struct xycoord  _getphyscoord ();
int             _getpixel ();
int             _gettextcolor ();
struct rccoord  _gettextposition ();
int             _imagesize ();
int             _lineto ();
struct xycoord  _moveto ();
void            _outtext ();
int             _pie ();            /* see note 1 */
void            _putimage ();
int             _rectangle ();
int             _remapallpalette ();
int             _remappalette ();
int             _selectpalette ();
int             _setactivepage();
int             _setbkcolor ();
void            _setcliprgn ();
int             _setcolor ();
void            _setfillmask ();    /* see note 1 */
void            _setlinestyle ();
struct xycoord  _setlogorg ();
int             _setpixel ();
int             _settextcolor ();
struct rccoord  _settextposition ();
int             _settextwindow ();
int             _setvideomode();
void            _setviewport ();
int             _setvisualpage();
int             _wrapon ();

/* note 1: not fully implemented */
