/*
 *	time.h
 *
 *	Copyright (C) MicroWay, Inc., 1987, 1988, 1989
 *
 */

struct tm {
        int     tm_sec;         /* Time of day, seconds (0-59). */
        int     tm_min;         /* Time of day, minutes (0-59). */
        int     tm_hour;        /* Time of day, hours (0-23). */
        int     tm_mday;        /* Day of the month (1-31). */
        int     tm_mon;         /* Months since January (0-11). */
        int     tm_year;        /* Years since 1900. */
        int     tm_wday;        /* Days since Sunday (0-6). */
        int     tm_yday;        /* Days since January 1 (0-365). */
        int     tm_isdst;       /* Non-0 if DST in effect (not used). */
};



struct timeval {		/* Time since epoch. */
	int	tv_sec;		/* Seconds. */
	int	tv_usec;	/* Microseconds. */
};



struct timezone {		/* Timezone ID. */
	char	name[3];
};



struct tm	*localtime();
void		timedate(),
		time_(),
		idate_(),
		date_();
int		secnds_();
int		sec_100_();
